Show / Hide Table of Contents

# Class Dialog

The dialog box is a window that by default is centered and contains one or more buttons.

##### Inheritance

System.Object
Responder
View
Toplevel
Window
Dialog

##### Inherited Members

Responder.MouseEvent(MouseEvent)
Toplevel.CanFocus
Toplevel.Create()
Toplevel.Running
View.Add(View[])
View.AddCh(Int32, Int32, Int32)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.ClearNeedsDisplay()
View.ColorScheme
View.DrawFrame(Rect, Boolean)
View.DrawHotString(String, Boolean, ColorScheme)
View.DrawHotString(String, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.HasFocus
View.Id
View.MostFocused
View.Move(Int32, Int32)
View.PositionCursor()
View.ProcessColdKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.Remove(View)
View.RemoveAll()
View.ScreenToView(Int32, Int32)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports
Window.Add(View)
Window.GetEnumerator()
Window.Redraw(Rect)
Window.Title

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public class Dialog : Terminal.Window

### Constructors

#### Dialog(String, Int32, Int32, Button[])

Initializes a new instance of the Dialog class with an optional set of buttons to display

##### Declaration

    public Dialog (string title, int width, int height, Terminal.Button[] buttons);

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | title | Title for the dialog.
System.Int32 | width | Width for the dialog.
System.Int32 | height | Height for the dialog.
Button[] | buttons | Optional buttons to lay out at the bottom of the dialog.

### Methods

#### AddButton(Button)

Adds a button to the dialog, its layout will be controled by the dialog

##### Declaration

    public void AddButton (Terminal.Button button);

##### Parameters

Type | Name | Description
--- | --- | ---
Button | button | Button to add.

#### LayoutSubviews()

##### Declaration

    public override void LayoutSubviews ();

#### ProcessKey(KeyEvent)

##### Declaration

    public override bool ProcessKey (Terminal.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.